// 扩展API加载完毕后调用onPlusReady回调函数 
document.addEventListener("plusready", onPlusReady, false);
// 扩展API加载完毕，现在可以正常调用扩展API 
function onPlusReady() {
        //console.log("plusready");
}
// 拍照
//图片显示  
function showPics(url, name, picType) {
        var ex = name.split('.')[1];
        //根据路径读取到文件   
        plus.io.resolveLocalFileSystemURL(url, function(entry) {
                entry.file(function(file) {
                        var fileReader = new plus.io.FileReader();
                        fileReader.readAsDataURL(file);
                        fileReader.onloadend = function(e) {
                                var picUrl = e.target.result.toString();
                                var picIndex = $("#picIndex" + picType).val();
                                var nowIndex = parseInt(picIndex) + 1;
                                $("#picIndex" + picType).val(nowIndex);
                                var html = '';
                                html += $("#image-list" + picType).html();
                                html += '<div class="lookimg" id="' + picType + 'item' + nowIndex + '">';
                                html += '	<div><img src="' + picUrl + '" class="upload_img pic' + picType + '" style="width:100%;height:180px" ex="' + ex + '"/></div>';
                                html += '	<div style="text-align:center;" class="image-close" onclick="delPic(\'' + picType + '\',' + nowIndex + ')">移除</div>';
                                html += '</div>';
                                $("#image-list" + picType).html(html);

                        }
                });
        });
}
//压缩图片    
function compressImage(url, filename, picType) {
        var name = "_doc/upload/" + filename;
        plus.zip.compressImage({
                        src: url, //src: (String 类型 )压缩转换原始图片的路径    
                        dst: name, //压缩转换目标图片的路径    
                        quality: 50, //quality: (Number 类型 )压缩图片的质量.取值范围为1-100    
                        overwrite: true //overwrite: (Boolean 类型 )覆盖生成新文件    
                },
                function(zip) {
                        //页面显示图片  
                        showPics(zip.target, name, picType);
                },
                function(error) {
                        plus.nativeUI.toast("压缩图片失败，请稍候再试");
                });
}
//调用手机摄像头并拍照  
function getImage(picType) {
        var cmr = plus.camera.getCamera();
        cmr.captureImage(function(p) {
                plus.io.resolveLocalFileSystemURL(p, function(entry) {
                        compressImage(entry.toLocalURL(), entry.name, picType);
                }, function(e) {
                        plus.nativeUI.toast("读取拍照文件错误：" + e.message);
                });
        }, function(e) {}, {
                filter: 'image'
        });
}
//从相册选择照片  
function galleryImgs(picType) {
        plus.gallery.pick(function(e) {
                var name = e.substr(e.lastIndexOf('/') + 1);
                compressImage(e, name, picType);
        }, function(e) {}, {
                filter: "image"
        });
}
//点击事件，弹出选择摄像头和相册的选项
function showActionSheet(picType, picMax) {
        var cnt = $("#picIndex" + picType).val();
        if(cnt >= picMax) {
                plus.nativeUI.toast("您最多只能选择" + picMax + "张照片！");
        } else {
                var bts = [{
                        title: "拍照"
                }, {
                        title: "从相册选择"
                }];
                plus.nativeUI.actionSheet({
                                cancel: "取消",
                                buttons: bts
                        },
                        function(e) {
                                if(e.index == 1) {
                                        getImage(picType);
                                } else if(e.index == 2) {
                                        galleryImgs(picType);
                                }
                        }
                );
        }
};
//移除图片
function delPic(picType, id) {

        $("#" + picType + "item" + id).remove();
        var picIndex = $("#picIndex" + picType).val();
        var nowIndex = parseInt(picIndex) - 1;
        $("#picIndex" + picType).val(nowIndex);
}

//下载图片
function downloadPics(url, picType) {

        //根据路径读取到文件   
        var fileName = url.substring(url.lastIndexOf("\\") + 1);

        var serverurl = url.replace(/\\/gi, '/'); //.substring(url.lastIndexOf("/") + 1);        
        console.log("图片远程地址：" + serverurl);
        var dtask = plus.downloader.createDownload(serverurl, {
//              filename: "_downloads/" + fileName,
//              method: 'GET'
        }, function(d, status) {
                console.log("开始下载：" + d.filename);
                // 下载完成
                if(status == 200) {
                        plus.io.resolveLocalFileSystemURL(d.filename, function(entry) {
                                console.log("加载图片：" + entry.toLocalURL());
                                compressImage(entry.toLocalURL(), entry.name, picType);
                        }, function(e) {
                                plus.nativeUI.toast("读取文件错误：" + e.message);
                        });
                } else {
                        alert("Download failed: " + status);
                }

        });
        dtask.start();
}