//check.js 

//检测非零开头的最多带两位小数的数字
function chkFloat(v) {
  var reg = /^([1-9][0-9]*)+(.[0-9]{1,2})?$/;
  return reg.test(v);
}
//检测手机号是否输入正确
function chkMoblile(v) {
  var reg = /^(\+\d{2,3}\-)?\d{11}$/;
  return reg.test(v);
}
//检测手机号是否输入正确
function chkTel(v) {
  var reg = /^(\d{3,4}\-)?[1-9]\d{6,7}$/;
  return reg.test(v);
}
//验证密码是输入正确(必须包含大小写字母和数字的组合，不能使用特殊字符，长度在6-16之间)
function chkPwd(v) {
  var reg = /^\w{6,18}$/;
  return reg.test(v);
}
/**
 * 身份证号合法性验证
 * 支持15位和18位身份证号
 * 支持地址编码、出生日期、校验位验证
 * @code 身份证号码
 * **/
function chkSfz(code) {
  var city = {
    11: "北京",
    12: "天津",
    13: "河北",
    14: "山西",
    15: "内蒙古",
    21: "辽宁",
    22: "吉林",
    23: "黑龙江 ",
    31: "上海",
    32: "江苏",
    33: "浙江",
    34: "安徽",
    35: "福建",
    36: "江西",
    37: "山东",
    41: "河南",
    42: "湖北 ",
    43: "湖南",
    44: "广东",
    45: "广西",
    46: "海南",
    50: "重庆",
    51: "四川",
    52: "贵州",
    53: "云南",
    54: "西藏 ",
    61: "陕西",
    62: "甘肃",
    63: "青海",
    64: "宁夏",
    65: "新疆",
    71: "台湾",
    81: "香港",
    82: "澳门",
    91: "国外 "
  };
  var tip = "";
  var pass = true;
  if (!code || !/^\d{6}(18|19|20)?\d{2}(0[1-9]|1[012])(0[1-9]|[12]\d|3[01])\d{3}(\d|X)$/i.test(code)) {
    tip = "身份证号格式错误";
    pass = false;

  } else if (!city[code.substr(0, 2)]) {
    tip = "地址编码错误";
    pass = false;
  } else { //18位身份证需要验证最后一位校验位
    if (code.length == 18) {
      code = code.split(''); //∑(ai×Wi)(mod 11)
      //加权因子
      var factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
      //校验位
      var parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2];
      var sum = 0;
      var ai = 0;
      var wi = 0;
      for (var i = 0; i < 17; i++) {
        ai = code[i];
        wi = factor[i];
        sum += ai * wi;
      }
      var last = parity[sum % 11];
      if (parity[sum % 11] != code[17].toUpperCase()) {
        tip = "校验位错误";
        pass = false;
      }
    }
  }
  //if(!pass) mui.alert(tip);
  return pass;

}
//获取当前日期
function getDate() {
  var week;
  var d = new Date();
  //获取当前星期X(0-6,0代表星期天)
  var wk = d.getDay();
  if (wk == 0) week = "星期日";
  if (wk == 1) week = "星期一";
  if (wk == 2) week = "星期二";
  if (wk == 3) week = "星期三";
  if (wk == 4) week = "星期四";
  if (wk == 5) week = "星期五";
  if (wk == 6) week = "星期六";
  var year = d.getFullYear();
  var month = d.getMonth() + 1; // 记得当前月是要+1的
  var dt = d.getDate();
  var today = month + "月" + dt + "日" + week;
  return today;
}

/**
 * 判断用户是否登录
 * */
function CheckUser() {
  var outtime = window.localStorage.getItem("outtime");
  //console.log(outtime);
  if (outtime == null) {
    return false;
  }
  var dt = new Date().getTime();
  if (outtime < dt) {
    return false;
  }
  var UserID = window.localStorage.getItem("UserID");
  if (UserID == null && outtime > dt) {
    return false;
  }
  return true;
}
/**
 * 日期格式化显示
 */
Date.prototype.format = function(format) {
  var ms = this.getMilliseconds();
  var date = {
    "M+": this.getMonth() + 1,
    "d+": this.getDate(),
    "h+": this.getHours(),
    "m+": this.getMinutes(),
    "s+": this.getSeconds(),
    "q+": Math.floor((this.getMonth() + 3) / 3),
    "f+": (ms < 10 ? "00" + ms : ms < 100 ? "0" + ms : ms)
  };
  if (/(y+)/i.test(format)) {
    format = format.replace(RegExp.$1, (this.getFullYear() + '').substr(4 - RegExp.$1.length));
  }
  for (var k in date) {
    if (new RegExp("(" + k + ")").test(format)) {
      format = format.replace(RegExp.$1, RegExp.$1.length == 1 ?
        date[k] : RegExp.$1.length == 2 ? ("00" + date[k]).substr(("" + date[k]).length) : ("000" + date[k]).substr(
          ("" + date[k]).length));
      console.log();
    }
  }
  return format;
}
