/*****************************
 * description 系统更新
 * @param {String} apkUrl apk下载地址
 * @param {String} servervs 要更新的应用版本号
 * **/
function upgrade(apkUrl, servervs) {
    mui.plusReady(function() {
        plus.runtime.getProperty(plus.runtime.appid, function(wgtinfo) {
            var a1 = servervs.split('.', 4);
            var a2 = wgtinfo.version.split('.', 4);
            var isUpdate = false;
            var cnt = a1.length;

            if(a1[0] > a2[0]) {
                isUpdate = true;
            }
            if(a1[0] == a2[0] && a1[1] > a2[1]) {
                isUpdate = true;
            }
            if(a1[0] == a2[0] && a1[1] == a2[1] && a1[2] > a2[2]) {
                isUpdate = true;
            }
            var urlAndroid = 'https://a.app.qq.com/o/simple.jsp?pkgname=io.dcloud.H563D2725';
            var urlIos = 'https://apps.apple.com/cn/app/id1250307342';
            if(isUpdate) {
                try {
                    if(mui.os.android) {
                        var w = null;
                        //开始更新					
                        var dtask = plus.downloader.createDownload(apkUrl, {
                            timeout: 5,
                            retry: 1,
                            retryInterval: 5
                        }, function(d, status) {
                            plus.nativeUI.showWaiting("正在准备环境，请稍后！");
                            // 下载完成
                            if(status == 200) {
                                var path = d.filename; //下载apk
                                plus.runtime.install(path, {}, function(r) {
                                    plus.runtime.restart();
                                }, function(err) {
                                    mui.alert('安装失败！请到应用商店中进行安装！', function() {
                                        plus.nativeUI.closeWaiting();
                                        openWin(url);
                                    });
                                }); // 自动安装apk文件
                            } else {
                                mui.alert('下载失败！请到应用商店中进行安装！', function() {
                                    plus.nativeUI.closeWaiting();
                                    openWin(url);
                                });
                            }
                            plus.nativeUI.closeWaiting();
                        });
                        //添加下载状态事件
                        dtask.addEventListener("statechanged", function(task, status) {
                            switch(task.state) {
                                case 1: // 开始
                                    console.log("开始下载...");
                                    break;
                                case 2: // 已连接到服务器
                                    console.log("链接到服务器...");
                                    break;
                                case 3: // 已接收到数据
                                    var a = Math.floor(task.downloadedSize / task.totalSize * 100) + '%';
                                    if(w != null) {
                                        w.setTitle("正在下载中，请等待...\n" + "已完成" + a + "");
                                    }
                                    break;
                                case 4: // 下载完成                
                                    plus.nativeUI.closeWaiting();
                                    break;
                            }
                        });
                        if(dtask != null) {
                            w = plus.nativeUI.showWaiting("正在下载中，请等待...\n已完成0%", {
                                padlock: true
                            });
                            dtask.start();
                        } else {
                            openWin(urlAndroid);
                        }

                    } else {
                        plus.nativeUI.closeWaiting();
                        mui.alert("系统有新的版本，请在AppStore客户下载！", function() {
                            openWin(urlIos);
                            plus.nativeUI.closeWaiting();
                        });
                    }
                } catch(e) {
                    plus.nativeUI.closeWaiting();
                    mui.alert('更新失败！请到应用商店中进行安装！', function() {
                    });
                }

            }
        });
    });

}