//点击事件，弹出选择摄像头和相册的选项  
function showActionSheet(opt, callBack) {
  var bts = [{
    title: "拍照"
  }, {
    title: "从相册选择"
  }];
  plus.nativeUI.actionSheet({
    title: '上传图片',
    cancel: '取消',
    buttons: bts
  }, function(b) {
    // console.log("b: " + JSON.stringify(b));
    switch (b.index) {
      case 0:
        break;
      case 1:
        //拍照
        getImages(opt, callBack);
        break;
      case 2:
        //打开相册
        galleryImages(opt, callBack);
        break;
      default:

        break;
    }
  }, false);
};
//拍照
function getImages(opt, callBack) {
  var mobileCamera = plus.camera.getCamera();
  console.log(mobileCamera)
  mobileCamera.captureImage(function(e) {
    plus.io.resolveLocalFileSystemURL(e, function(entry) {
      var path = entry.toLocalURL() ;//+ '?version=' + new Date().getTime();
      var dstname = "_downloads/" + getUid() + ".jpg"; //设置压缩后图片的路径  
      compressImage(path, dstname, 0, opt, callBack);

    }, function(err) {
      console.log("读取拍照文件错误");
    });
  }, function(e) {
    console.log(JSON.stringify(e));
  }, function() {
    filename: '_doc/head.png';
  });
}
//从本地相册选择
function galleryImages(opt, callBack) {
  plus.gallery.pick(function(a) {
    plus.io.resolveLocalFileSystemURL(a, function(entry) {
      plus.io.resolveLocalFileSystemURL('_doc/', function(root) {
        root.getFile('head.png', {}, function(file) {
          //文件已经存在
          file.remove(function() {
            entry.copyTo(root, 'head.png', function(e) {
              // advanceInInterpolationOrMessageText()              
              // var path = e.toLocalURL() + '?version=' + new Date().getTime();
              var path = e.toLocalURL() ;//+ '?version=' + new Date().getTime();
              var dstname = "_downloads/" + getUid() + ".jpg"; //设置压缩后图片的路径  
              // var dstname = "_doc/" + getUid() + ".jpg"; //设置压缩后图片的路径  
              compressImage(path, dstname, 0, opt, callBack);
              // filepath = dstname;
              //upload();
            }, function(err) {
              console.log("copy image fail: ", JSON.stringify(err));
            });
          }, function(err) {
            console.log("删除图片失败：（" + JSON.stringify(err) + ")");
          });
        }, function(err) {
          console.log("err: " + JSON.stringify(err));
          //打开文件失败
          entry.copyTo(root, 'head.png', function(e) {
            var path = e.fullPath + '?version=' + new Date().getTime();
          }, function(err) {
            console.log("上传图片失败：（" + JSON.stringify(err) + ")");
          });
        });
      }, function(e) {
        console.log("读取文件夹失败：（" + JSON.stringify(err) + ")");
      });
    });
  }, function(err) {
    console.log("读取拍照文件失败: ", err);
  }, {
    filter: 'image'
  });
};

// 产生一个随机数  
function getUid() {
  return Math.floor(Math.random() * 100000000 + 10000000).toString();
}

//压缩图片，这个比较变态的方法，无法return  
function compressImage(src, dstname, rotate, opt, callBack) {
  //var dstname="_downloads/"+getUid()+".jpg";  
  console.log("src: " + JSON.stringify(src));
  console.log("dstname: " + JSON.stringify(dstname));
  plus.zip.compressImage({
      src: src,
      dst: dstname,
      overwrite: true,
      quality: 50,
      rotate: rotate
    },
    function(event) {
      console.log("OKKK");
      // console.log("event: " + JSON.stringify(event));
      opt.filepath = event.target;
      upload(opt, callBack);
    },
    function(err) {
      console.log("ERRR");
      console.log("err: " + JSON.stringify(err));
    });

}
//上传图片
function upload(opt, callBack) {

  plus.nativeUI.showWaiting("正在上传图片…");
  var task = plus.uploader.createUpload(appConfig() + '/api/I_Upload/UpLoadImage', {
      method: "POST"
    },
    function(t, status) { //上传完成  
      if (status == 200) {
        callBack(t.responseText);

      } else {
        console.log("上传失败：" + status);
      }

      plus.nativeUI.closeWaiting(); //关闭等待框        
    }
  );

  task.addData("imgPath", opt.imgPath);
  task.addData("delFile", opt.delFile);

  task.addFile(opt.filepath, {
    key: opt.filepath,
    mime: "image/jpeg"
  });


  task.start();

}

//});
